Bug 1308469 - [SET] (6.4.z) Stabilize tests in resteasy 2.3.x branch - Backport multiple test fix in RESTEASY-1207. TestIIOImageProvider for JDK7, TestSecureProcessing and TestXXE for JDK8
[SET] (6.4.z) Stabilize tests in resteasy 2.3.x branch - Backport multiple te...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RESTEasy (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.7
Assigned To: Chao Wang
Katerina Novotna
:
: 1308848 (view as bug list)
Depends On:
Blocks: eap647-payload 1293676
  Show dependency treegraph
 
Reported: 2016-02-15 04:56 EST by Chao Wang
Modified: 2017-01-17 07:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:00:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RESTEASY-1207 Major Closed Multiple tests failed in resteasy-jaxrs 2016-08-02 02:36 EDT

  None (edit)
Description Chao Wang 2016-02-15 04:56:42 EST
Since resteasy upstream discontinued the 2.3.x maintenance three years ago, we restructured the resteasy 2.3.x branch based on version 2.3.12.Final-redhat-1 to a redhat private repository for EAP 6 maintenance.

As the prod version 2.3.12.Final-redhat-1 removed some basic tests to avoid unstable failures during production build. This is the issue to track tests we add back and fixed to stabilize build and test-run for this private 2.3.x branch which also allows to guard future resteasy release.
Comment 7 Brad Maxwell 2016-02-18 15:03:23 EST
*** Bug 1308848 has been marked as a duplicate of this bug. ***
Comment 9 Peter Mackay 2016-03-11 07:55:31 EST
Verified with EAP 6.4.7.CP.CR2
Comment 10 Petr Penicka 2017-01-17 07:00:55 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.